Source: anastasis
Section: net
Priority: optional
Maintainer: Christian Grothoff <grothoff@gnu.org>
Build-Depends:
 meson,
 ninja-build,
 debhelper-compat (= 12),
 gettext,
 libgnunet-dev (>=0.27.0),
 libtalerexchange-dev (>= 1.5.0),
 libtalermerchant-dev (>= 1.5.0),
 libpq-dev (>=15),
 libsqlite3-dev (>=3.8),
 pkg-config,
 po-debconf,
 libqrencode-dev,
 uuid-dev,
 zlib1g-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/anastasis.git
Vcs-browser: https://salsa.debian.org/debian/anastasis
Homepage: https://anastasis.lu/

Package: libanastasis
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 lsb-base,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends}
Description: libraries to talk to a GNU Anastasis provider.
 .
 GNU Anastasis allows users to make backups of their
 private key material to multiple providers while ensuring that
 individual providers cannot learn the secret key material.
 The libraries contained in this package implement the
 client-side of the Anastasis backup and recovery protocol.

Package: anastasis-httpd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libtalerexchange (>= 1.5.0),
 libtalermerchant (>= 1.5.0),
 libgnutls30 (>= 3.7.1),
 adduser,
 lsb-base,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 apache2 | nginx | httpd,
 postgresql (>=15.0),
 taler-challenger-helpers
Description: GNU's key escrow provider.
 .
 GNU Anastasis allows users to make backups of their
 private key material to multiple providers while ensuring that
 individual providers cannot learn the secret key material.
 This package contains the backend logic that must be run by
 an Anastasis backup provider.

Package: anastasis-cli
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libanastasis,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command-line interface for the GNU Anastasis key escrow provider service.
 .
 GNU Anastasis allows users to make backups of their
 private key material to multiple providers while ensuring that
 individual providers cannot learn the secret key material.
 This package contains a command-line interface to the
 Anastasis logic.  Please note that we do not expect the CLI to
 be useful to end-users. It may be useful for integration of
 Anastasis into applications (and for testing).
 If you are looking for a stand-alone Anastasis client, please
 use anastasis-gtk.

Package: libanastasis-dev
Section: libdevel
Architecture: any
Depends:
 libtalerexchange-dev (>= 1.5.0),
 libtalermerchant-dev (>= 1.5.0),
 libgnunet-dev (>=0.27.0),
 ${misc:Depends},
 ${shlibs:Depends}
Description: libraries to talk to a GNU Anastasis provider (development).
 .
 This package contains the development files for the libanastasis libraries.
